- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
- INHERITED METHODS
- SEE ALSO
- COPYRIGHT AND LICENSE

# NAME

Pegasus::DAX::DAX - Job node to store an unplanned workflow.

# SYNOPSIS

        use Pegasus::DAX::DAX;

        my $a = Pegasus::DAX::DAX->new( file => 'fubar' );
        $a->addArgument( '-flag' );

# DESCRIPTION

This class stores the job that describes a workflow (in DAX file format) that still needs to be planned. The job refers to the external filename for the workflow.

# METHODS

`new()`
new( a => b, c => d, ... )
new( { a => b, c => d, ... } )

  The default constructor will create an empty instance whose scalar attributes can be adjusted using the getters and setters provided by the `AUTOLOAD` inherited method.

  Other means of construction is to use named lists.

name

  Getter and setter for the job's name required string. Regardless of the child class, any job always some form of name.

toXML( $handle, $indent, $xmlns )

  The purpose of the `toXML` function is to recursively generate XML from the internal data structures. The first argument is a file handle open for writing. This is where the XML will be generated. The second argument is a string with the amount of white-space that should be used to indent elements for pretty printing. The third argument may not be defined. If defined, all element tags will be prefixed with this name space.

# INHERITED METHODS

Please refer to Pegasus::DAX::AbstractJob for inherited methods.

addArgument( $string )
addArgument( $plainfilename_instance )
addArgument( $filename_instance )
addArgument( $file_instance )
addArgument( $exectuable_instance )
addProfile( $namespace, $key, $value )
addProfile( $profile_instance )
stdin
stdout
stderr
id
nodelabel
addUses( .. )
uses( $filename_instance )
uses( $file_instance )
uses( $executable_instance )
addInvoke( $when, $cmd )
notify( $when, $cmd )
invoke( $when $cmd )
innerXML( $handle, $indent, $xmlns )

# SEE ALSO

Pegasus::DAX::AbstractJob

  Base class.

Pegasus::DAX::ADAG
Pegasus::DAX::DAG
Pegasus::DAX::Job

  Sibling classes.

# COPYRIGHT AND LICENSE

Copyright 2007-2011 University Of Southern California

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.